	.386
	.model	use32 small

	extrn exp : proc,allerrl : proc
	public	_tanhl
	.data
nm	db	"tanhl",0
	.code

_tanhl:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	sub	edx,edx
	fld	tbyte ptr [ecx]
	fchs
	call	exp
	fld	tbyte ptr [ecx]
	call	exp
	fld	st(0)
	fsub	st(0),st(2)
	fxch
	fadd	st(0),st(2)
	fdivp	st(1)
	fxch	st(1)
	fcomp	st(1)
	lea	eax,[nm]
	call	allerrl
	leave
	ret
	end